Bug 818213 - [eap6] Server-group configuration : Datasources are listed among available profiles
[eap6] Server-group configuration : Datasources are listed among available pr...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent, Core UI (Show other bugs)
4.4
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: RHQ 4.4.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-05-02 09:38 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:04:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
selecting profile (37.52 KB, image/png)
2012-05-02 09:38 EDT, Libor Zoubek
no flags Details

  None (edit)
Description Libor Zoubek 2012-05-02 09:38:07 EDT
Created attachment 581617 [details]
selecting profile

Description of problem: When I configure server-group in UI I can select profile. When selection pops up it contains item 'datasources' and 'ExampleDS'. This is incorrect, because these are not profile names.


Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: 2484565
EAP6 ER6

How reproducible:always


Steps to Reproduce:
1.import EAP6 running in Domain mode, wait few minutes until it is imported
2.navigate to main-server-group child resource's configuration
3.pop-up a combo for 'Profile' setting
  
Actual results: When selection pops up it contains item 'datasources' and 'ExampleDS'


Expected results:Selection options are valid profile names only


Additional info:
Comment 1 Heiko W. Rupp 2012-05-02 16:17:46 EDT
This got introduced by new resource types that had 'Profile' in their names

To protect against this, the expression needs to be

<c:option-source target="resource" expression="type=^Profile$ plugin=jboss-as-7"/>
Comment 2 Heiko W. Rupp 2012-05-02 16:24:18 EDT
master ede22c0
Comment 3 Heiko W. Rupp 2013-09-01 06:04:58 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.